package com.company;

import com.company.QR.QRCodeErrorCorrectionLevel;
import com.company.QR.QRCodeVersion;

import java.util.HashMap;

public interface QRCodeClient {
    public HashMap getAlphaNumericTable();

    public Boolean hasAlphaNumericTableChar(char c);

    public QRCodeErrorCorrectionLevel getCorrectionLevel();

    public int getIntCorrectionlevel();

    public byte getMode();

    public String getByteMode();

    public QRCodeVersion getVersion();

    public int getTotalCapability();

    public int getTotalCapability(String id);

    public int[] getAlignmentPositionByVersion();

    public String getBytes();

    public String getMsg();

    public String getStringCorrectionLevel();
}
